com.avaya.ccs.api.enums

## Enum NotificationCode

- java.lang.Object
- - java.lang.Enum<NotificationCode>
  - - com.avaya.ccs.api.enums.NotificationCode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<NotificationCode>

      public enum NotificationCode
      extends java.lang.Enum<NotificationCode>

  The `NotificationCode` enum represents the defined types of codes that can be contained in a `NotificationI`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ForceLogOff` Indicates that the user has been force logged out by a supervisor.
    `ForceNotReady` Indicates that the user has been forced into the not ready state by a supervisor.
    `ForceReady` Indicates that the user has been forced into the ready state by a supervisor.
    `Unknown`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NotificationCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static NotificationCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ForceLogOff

          public static final NotificationCode ForceLogOff

      Indicates that the user has been force logged out by a supervisor.

    - #### ForceReady

          public static final NotificationCode ForceReady

      Indicates that the user has been forced into the ready state by a supervisor.

    - #### ForceNotReady

          public static final NotificationCode ForceNotReady

      Indicates that the user has been forced into the not ready state by a supervisor.

    - #### Unknown

          public static final NotificationCode Unknown

  - ### Method Detail

    - #### values

          public static NotificationCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NotificationCode c : NotificationCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NotificationCode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null